Skip to main content
Export Job Architecture hierarchy
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/job_architecture/export \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/export"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "job_family_groups": [
    {
      "job_family_group_name": "IT & Engineering",
      "job_count": 123,
      "job_families": [
        {
          "external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
          "job_family_name": "Mobile Development",
          "job_count": 123,
          "jobs": [
            {
              "external_id": "a3903505-eb84-42dc-a79f-5d8b1fe897b7",
              "job_name": "Front End Developer",
              "job_description": "The Front-End Developer is responsible for implementing visual elements that users interact with on the company's web applications.",
              "low_data_availability": 123,
              "issues": [
                {
                  "issue_type": "missing_or_short_job_description"
                }
              ],
              "changes": [
                {
                  "external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
                  "change_type": "add_job_description",
                  "change_status": "suggested"
                }
              ]
            }
          ],
          "low_data_availability": 123
        }
      ],
      "low_data_availability": 123
    }
  ]
}
[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
]
[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
]
[
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
]
[
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]
"max connections reached: <limit>"
[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

is_active
boolean
default:None

This parameter can be used to only include entities with the active attribute set to true or false. If the parameter is not set, all entities will be included.

Example:

true

skill_id
string<uuid>

The unique ID of a Skill, consisting of alphanumeric characters and hyphens. Setting this parameter will include only Job Families and Job Family Groups with Jobs that have this Skill in their Skill Profile.

Required string length: 1 - 100
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to use when passing the skill_id query parameter. This will only work for vendors that are activated on your tenant.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

include
enum<string>[]

When set to low_data_availability_flag, the response will include information about the total number of Jobs with low data availability within each Job Family or Job Family Group. For Jobs, this field is equal to 1 or 0 depending on whether the Job has low data availability.

Available options:
low_data_availability_flag,
issues,
changes,
job_description
Example:
["low_data_availability_flag"]

Response

OK

job_family_groups
object[]
required

A list of Job Family Groups.